# Hprm Remote

## Enumerations

enum | PspHprmKeys { PSP_HPRM_PLAYPAUSE = 0x1, PSP_HPRM_FORWARD = 0x4, PSP_HPRM_BACK = 0x8, PSP_HPRM_VOL_UP = 0x10, PSP_HPRM_VOL_DOWN = 0x20, PSP_HPRM_HOLD = 0x80 }
| Enumeration of the remote keys. More...

## Functions

int | sceHprmPeekCurrentKey (u32 *key)
| Peek at the current being pressed on the remote.
int | sceHprmPeekLatch (u32 *latch)
| Peek at the current latch data.
int | sceHprmReadLatch (u32 *latch)
| Read the current latch data.
int | sceHprmIsHeadphoneExist (void)
| Determines whether the headphones are plugged in.
int | sceHprmIsRemoteExist (void)
| Determines whether the remote is plugged in.
int | sceHprmIsMicrophoneExist (void)
| Determines whether the microphone is plugged in.

## Enumeration Type Documentation

enum PspHprmKeys

Enumeration of the remote keys.

Enumerator:

  PSP_HPRM_PLAYPAUSE |
  PSP_HPRM_FORWARD |
  PSP_HPRM_BACK |
  PSP_HPRM_VOL_UP |
  PSP_HPRM_VOL_DOWN |
  PSP_HPRM_HOLD |

## Function Documentation

int sceHprmIsHeadphoneExist | ( | void |  | ) |

Determines whether the headphones are plugged in.

Returns:
  1 if the headphones are plugged in, else 0.

int sceHprmIsMicrophoneExist | ( | void |  | ) |

Determines whether the microphone is plugged in.

Returns:
  1 if the microphone is plugged in, else 0.

int sceHprmIsRemoteExist | ( | void |  | ) |

Determines whether the remote is plugged in.

Returns:
  1 if the remote is plugged in, else 0.

int sceHprmPeekCurrentKey | ( | u32 * | key | ) |

Peek at the current being pressed on the remote.

Parameters:

  | key | - Pointer to the u32 to receive the key bitmap, should be one or more of PspHprmKeys

Returns:
  < 0 on error

int sceHprmPeekLatch | ( | u32 * | latch | ) |

Peek at the current latch data.

Parameters:

  | latch | - Pointer a to a 4 dword array to contain the latch data.

Returns:
  < 0 on error.

int sceHprmReadLatch | ( | u32 * | latch | ) |

Read the current latch data.

Parameters:

  | latch | - Pointer a to a 4 dword array to contain the latch data.

Returns:
  < 0 on error.